<?php
define('NTLCMS', 1);
$module = 'registration';
include ('../system/start.php');
include ('../system/function.php');
include ('../system/antidos.php');
$page_title = 'Страница регистрации - клик клуба ' . strtoupper($_SERVER['HTTP_HOST']);
include ('../system/head.php');
if ($set['rega'] == '0'){
echo '<div class="title"><b>'.razd.' Регистрация</b></div>';
echo '<div class="post"><center><i class="fa fa-close fa-fw"></i> Регистрация закрыта!</center></div>';
echo '<div class="block"><i class="fa fa-home fa-fw"></i> <a href="'.URL.'">На главную</a></div>';
include ('../system/foot.php');
exit;
}
if (isset($active) == true){
header('Location: '.URL);
} else {
echo '<div class="title"><b>'.razd.' Регистрация</b></div>';
$error = null;
$_SESSION['activate'] = generation(10);
if (isset($_POST['login']) && isset($_POST['email'])  && isset($_POST['code'])){
$login = isset($_POST['login']) ? filter_var($_POST['login'], FILTER_SANITIZE_STRING) : false;
$pass = isset($_POST['pass']) ? filter_var($_POST['pass'], FILTER_SANITIZE_STRING) : false;
$referal = isset($_SESSION['ref']) ? filter_var($_SESSION['ref'], FILTER_SANITIZE_STRING) : false;
$email = isset($_POST['email']) ? filter_var($_POST['email'], FILTER_SANITIZE_EMAIL) : false;
$pass = isset($_POST['pass']) ? filter_var($_POST['pass'], FILTER_SANITIZE_STRING) : false;
$name = isset($_POST['name']) ? filter_var($_POST['name'], FILTER_SANITIZE_STRING) : false;
$sex = isset($_POST['sex']) ? filter_var($_POST['sex'], FILTER_SANITIZE_NUMBER_INT) : '0';
if (empty($login)){
$error.= 'Поле логин обязательно для заполнения!<br/>';
} elseif(!preg_match('#[a-zA-Z0-9_-]{3,15}#i', $login)){
$error.= 'Логин должен содержать от 3 до 15 символов!<br/>';
} elseif(DB :: run() -> querySingle("select (`login`) from `users` where `login` = ?", array($login))){
$error.= 'Пользователь с логином '.$login.' уже зарегистрирован!<br/>';
} elseif(preg_match('/([a-zA-Zа-яА-Я])+([0-9]{6})|(\s)|(\W)/', $login)){
$error.= 'Спец символы в логинах запрещены!<br/>';
} elseif ($referal == $login){
$error.= 'Запрещено регистрироваться по своей реф.ссылке!<br/>';
}
if (empty($name)){
$error.= 'Поле Ваше имя обязательно для заполнения!<br/>';
} elseif (mb_strlen($name, 'UTF-8') < 3 or mb_strlen($name, 'UTF-8') > 50){
$error.= 'Ваше имя должно содержать от 3 до 50 символов!<br/>';
}
if (empty($pass)){
$error.= 'Поле пароль обязательно для заполнения!<br/>';
} elseif(!preg_match('#[a-zA-Z0-9_-]{6,15}#i', $pass)){
$error.= 'Пароль должен содержать от 6 до 15 символов!<br/>';
}
if (empty($email)){
$error .= 'E-mail не должен быть пустым!<br/>';
} else if(filter_var($email, FILTER_VALIDATE_EMAIL) === false){
$error .= 'E-mail введен не верно!<br/>';
} elseif(DB :: run() -> querySingle("select (`email`) from `users` where `email` = ?", array($email))){
$error .= 'Пользователь с таким E-mail уже зарегистрирован!<br/>';
}
if (empty($_POST['code'])){
$error.= 'Введите код с картинки!<br/>';
} elseif ($_SESSION['code'] != $_POST['code']){
$error.= 'Код с картинки введен не верно!<br/>';
}
if (empty($_POST['rules'])){
 $error.= 'Примите соглашение!<br/>';
}
if(DB :: run() -> querySingle("select (`ip`) from `users` where `ip` = ?", array($ip))){
$error .= 'Вы уже зарегистрированы в нашем клубе! Регистрировать более одного аккаунта запрещено!<br/>';
}
if ($error){
echo '<div class="post"><center><i class="fa fa-close fa-fw"></i> '.$error.'</center></div>';
} else {
if (DB :: run() -> query("insert into `users` (`regdate`, `lasttime`, `ip`, `oldip`, `oldua`, `ua`, `real`, `login`, `name`, `sex`, `pass`, `email`, `credit`) values (?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)",
array(TIME, TIME, $ip, $ip, $ua, $ua, CLIENT_IP(), $login, $name, $sex, md5(md5($pass)), $email, $set['payreg']))){
DB :: run() -> query("insert into `activate` (`date`, `login`, `code`) values (?, ?, ?)", array(TIME, $login, $_SESSION['activate']));
DB :: run() -> query("insert into `auth` (`time`, `ip`, `ua`, `login`, `method`) values (?, ?, ?, ?, ?)", array(TIME, $ip, $ua, $login, '1'));
if (isset($_SESSION['ref'])){
if (DB :: run() -> querySingle("select (`login`) from `users` where `login` = ?", array($referal))){
DB :: run() -> query("insert into `ref` (`login`, `day`, `all`, `who`) values (?, ?, ?, ?)", array($login, 0, 0, $referal));
DB :: run() -> query("update `users` set `ref` = `ref` + ? where `login` = ?", array(1, $referal));
} else {
unset($_SESSION['ref']);
}
}
mailto($email, 'Регистрация в клик клубе '.strtoupper($_SERVER['HTTP_HOST']), 'Спасибо за регистрацию в клик клубе '.strtoupper($_SERVER['HTTP_HOST']).'!<br/>
Ваши данные для входа в аккаунт:<br/>Логин: '.$login.'<br/>Пароль: '.$pass.'<br/>Код активации: '.$_SESSION['activate'].'<br/>Автологин: '.URL.'/'.$login.','.$pass);
echo '<div class="menu"><center><i class="fa fa-check-circle fa-fw"></i> Вы успешно зарегистрированы!</center></div>';
echo '<div class="menu">Ваши данные для входа:<br/>Логин: '.checkout($_POST['login']).'<br/>Пароль: '.checkout($_POST['pass']).'</div>';
echo '<div class="menu"><center>Теперь вы можете, <a href="'.URL.'/'.checkout($_POST['login']).','.checkout($_POST['pass']).'">Войти</a> в ваш аккаунт!</center></div>';
echo '<div class="menu"><center>Автологин:<br/> <input type="text" value="'.URL.'/'.checkout($_POST['login']).','.checkout($_POST['pass']).'"/></center></div>';
echo '<div class="block"><i class="fa fa-home fa-fw"></i> <a href="'.URL.'">На главную</a></div>';
exit(include ('../system/foot.php'));
} else {
$_SESSION['fail'] = 'Ошибка при регистрации!';    
header('Location: '.URL.'/registration');
}
}
}
echo '<div class="menu"><form name="registration" action="'.URL.'/registration" method="post">';
echo '<span style="color:red">*</span> <b>Логин:</b><br/><input type="text" name="login" maxlength="15"/><br/>';
echo '<span style="color:red">*</span> <b>Ваше имя:</b><br/><input type="text" name="name" maxlength="25"/><br/>';
echo '<span style="color:red">*</span> <b>Ваш пол:</b><br/><select name="sex">
<option value="0"'.select(0, $_POST['sex']).'>Женский</option>
<option value="1"'.select(1, $_POST['sex']).'>Мужской</option></select><br/>';
echo '<span style="color:red">*</span> <b>Пароль:</b><br/><input type="password" name="pass" maxlength="15"/><br/>';
echo '<span style="color:red">*</span> <b>E-mail:</b><br/><input type="text" name="email" maxlength="35"/><br/>';
echo '<input type="checkbox" name="rules" value="1"/> <b>Я принимаю <a href="'.URL.'/help_rules">правила</a> !</b><br/>';
?>
<script>
function captcha_reload(){
document.getElementById('captcha').src = "/captcha.gif?" + Math.random();
}
</script>
<?php
echo '<img id="captcha" src="'.URL.'/captcha.gif" alt="captcha" /><br/>
 <a href="javascript:captcha_reload();">Обновить картинку</a><br/>
<input type="text" name="code"/><br/>';
echo '<input type="submit" value="Зарегистрироваться" /></form></div>';
echo '<div class="block"><i class="fa fa-home fa-fw"></i> <a href="'.URL.'">На главную</a></div>'; 
}
include ('../system/foot.php');
?>